<?php

declare(strict_types=1);

namespace App\Tests\Integration;

use App\Schedule;
use App\Tests\AppKernelTestCase;
use Symfony\Component\Scheduler\Schedule as SymfonySchedule;

class ScheduleTest extends AppKernelTestCase
{
    public function test_schedule_returns_schedule_with_recurring_message(): void
    {
        $cache    = static::getContainer()->get('cache.app');
        $schedule = new Schedule($cache);
        $result   = $schedule->getSchedule();

        $this->assertInstanceOf(SymfonySchedule::class, $result);
    }
}
